import { Migration } from '@mikro-orm/migrations';

export class Migration20250502161233 extends Migration {
    override async up(): Promise<void> {
        this.addSql(`
      create table "asset" (
        "id" serial primary key,
        "created_at" timestamptz not null,
        "updated_at" timestamptz not null,
        "name" varchar(255) not null,
        "type" varchar(255) not null,
        "data" text not null,
        "mime_type" varchar(255) not null,
        "size" int null,
        "asset_type" varchar(255) not null
      );
    `);
    }

    override async down(): Promise<void> {
        this.addSql('drop table if exists "asset" cascade;');
    }
} 